---
title: "How to Reach Agreement"
date: 2024-06-21T07:01:25-07:00
draft: true
tags:
  - communication
  - productivity

---
I'm a big fan of eponymous laws, to the extent of keeping a list of some of my favourites[^favourite-laws] on my personal page on the Wiki of any company I join[^own-your-own-information]. I tend to find that putting a name to a concept makes it easier to conceptualize, remember, and reason about; and anything which someone thinks important enough to put their name to is probably worth consideration[^eponymous-dish].
<!--more-->
For the past few years, I've been mulling over a [perspective](https://fosstodon.org/@scubbo/112598934484845346) that I suspect has some real legs as a helpful tool, and so I humbly present for your consideration the first draft of **Jackson's Law Of Policy[^what-is-a-policy] Alignment**:

> When a group of individuals, acting in good faith to decide on a policy to achieve a shared goal, are in agreement on:
> 1. The goal itself, and the criteria for and definition of success
> 2. The properties of the proposed approaches, including degrees of certainty where doubt exists
> then the group cannot fail to reach agreement.

As it stands, the observation itself is not particularly interesting - "_when people agree, then they agree_" smells like a tautology. Where it gets interesting in in observing the converse - if disagreement on conclusion exists, then this observation enumerates the possible causes.

# Possible causes of disagreement

T_subbed_K - good faith (self-interest), context (some may believe that more or less risk is available)

## Lack of Good Faith

This is both the most common cause, and the hardest to recognize and remedy. All too often, policy-makers are _not_ acting entirely in good faith to whole-heartedly and solely achieve the goal. Manager may choose a solution that allows their team to garner more glory or avoid toilsome work. Legislators may support laws that harm their constituents but benefit themselves. Self-interest abounds, and is powerful.

## Disclarity in goal

It sounds ridiculous to say "_If you don't agree on what the goal is, you won't agree on the solution_", but this happens more often than you might think.

T_subbed_K Internal or External

### Disagreement on context

Part of agreeing on a goal is agreeing on the context in which it exists - the environmental factors like timescale, integrations, dependencies, and so on. One decision-maker might believe that they're trying to find a long-term, sustainable, extensible, comprehensive solution to the problem, and another might believe they're looking for a quick-fix patch which will stem the bleeding for a short time until the problem is ameliorated by other means. In this situation, they will naturally disagree about the properties to prioritize.

# How to address them

T_subbed_K - clarify definitions, reduce to illustrative examples

[^favourite-laws]: They are, in no particular order: [Ashby's](https://en.wikipedia.org/wiki/Variety_(cybernetics)#Law_of_requisite_variety), [Sturgeon's](https://en.wikipedia.org/wiki/Sturgeon%27s_law), [Brandolini's](https://en.wikipedia.org/wiki/Brandolini%27s_law), [Hyrum's](https://en.wikipedia.org/wiki/API#Hyrums), [Goodhart's](https://en.wikipedia.org/wiki/Goodhart%27s_law), [Hoftstadter's](https://en.wikipedia.org/wiki/Hofstadter%27s_law), and [Conway's](https://en.wikipedia.org/wiki/Conway%27s_law), along with the differently-named [Chesterton's](https://en.wikipedia.org/wiki/G._K._Chesterton#Chesterton's_fence). And, while writing this article, I came across [this excellent page](https://hacker-laws.com/) which collects many of the best.
[^own-your-own-information]: which - I'm increasingly realizing as I get older and more ~~cynical~~ realistic - was a mistake. Own the information that you create, in such a way that it is portable when you are no longer convenient to the organization providing you with hosting - and recognize that "_an index of useful information_" is itself useful information!
[^eponymous-dish]: for similar reasons, if I'm eating at a new restaurant and they have a dish named after the establishment, that's usually my default first choice - though I might there be being a sucker for a subtle priming technique...
[^what-is-a-policy]: In my original formulation of this observation, it applied to technical decision-making and system designs. However, I believe it applies to any decision of the form "_What should we do in order to achieve some goal?_"

<!--
Reminders of patterns you often forget:

Images:
![Alt-text](url "Caption")

Internal links:
[Link-text](\{\{< ref "/posts/name-of-post" >}})
(remove the slashes - this is so that the commented-out content will not prevent a built while editing)
-->